# TargetHandler

Extends \AbstractHandler

The target handler class.

This class handles the occurance of a tag and it's possible nested tags (datatypes and tasks).

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: b02905439b5682cbec621ddc4222b6cb776eca33 $
package | phing.parser

### Methods

## Constructs a SAX handler parser.

    __construct( $parser,  $parentHandler)

inherited

The constructor must be called by all derived classes.

### Arguments

#### $parser

``

#### $parentHandler

``

## Invoked by occurance of #PCDATA.

    characters( $data)

inherited

throws |
exception | ExpatParserException if there is no CDATA but method was called

### Arguments

#### $data

``

## Gets invoked when a XML element ends.

    endElement( $name)

inherited

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

### Arguments

#### $name

``

## Gets invoked when element closes method.

    finished()

inherited

## Checks for nested tags within the current one. Creates and calls handlers respectively.

    startElement( $name,  $attrs)

### Arguments

#### $name

``

#### $attrs

``

### Properties

## Reference to the target object that represents the currently parsed target.

    target : object

var | the target instance

### Type(s)

`object`

## The phing project configurator object

    configurator : \ProjectConfigurator

var |

### Type(s)

`\ProjectConfigurator`

## parentHandler

    parentHandler :

inherited

### Type(s)

``

## parser

    parser :

inherited

### Type(s)

``